import { jsx } from "react/jsx-runtime";
import { VanIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Van = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Van", ...props, children: /* @__PURE__ */ jsx(VanIcon, { weight: variant }) });
  }
);
Van.displayName = "Van";
Object.assign(Van, { isGdsIcon: true });
export {
  Van
};
